# Querying Name Servers in a Private Zone

#### Function

Query name servers in a private zone.

#### URI

GET /v2/zones/{zone_id}/nameservers

For details, see Table 1.

Table 1 Parameter in the URI
Parameter | Mandatory | Type | Description
--- | --- | --- | ---
zone_id | Yes | String | Zone ID You can obtain the value by calling the API in Querying Private Zones.

#### Request

- Request parameters

  None

- Example request

  Query name servers of the zone whose ID is ff8080825b8fc86c015b94bc6f8712c3:

      GET https://{DNS_Endpoint}/v2/zones/ff8080825b8fc86c015b94bc6f8712c3/nameservers

#### Response

- Parameter description

  Table 2 Parameter in the response
  Parameter | Type | Description
  --- | --- | ---
  nameservers | Array of object | Name server list object For details, see Table 3.

  Table 3 Description of the nameservers field
  Parameter | Type | Description
  --- | --- | ---
  address | String | IP address of a DNS server
  priority | Integer | Priority of a name server For example, if the priority of a DNS server is 1, it is used to resolve domain names in first priority.

- Example response

      {
          "nameservers": [
              {
                  "priority": 1,
                  "address": "100.125.0.81"
              },
              {
                  "priority": 2,
                  "address": "100.125.0.82"
              }
          ]
      }

#### Returned Value

If the API call returns a code of 2xx, for example, 200, 202, or 204, the request is successful.

For details, see Status Code.

Parent topic: Private Zone Management